Break-glass add workspace member
curl --request POST \
--url https://api.acornops.dev/admin/v1/workspaces/{workspaceId}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>",
"ticketRef": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>', ticketRef: '<string>'})
};
fetch('https://api.acornops.dev/admin/v1/workspaces/{workspaceId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"email": "jsmith@example.com",
"displayName": "<string>",
"roleTemplate": {
"key": "<string>",
"displayName": "<string>",
"capabilities": [
"<string>"
],
"capabilityGroups": [
{
"capabilities": [
"<string>"
],
"sortOrder": 123
}
],
"protected": true,
"sortOrder": 123,
"description": "<string>"
},
"joinedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Workspace administration
Break-glass add workspace member
Break-glass add workspace member
curl --request POST \
--url https://api.acornops.dev/admin/v1/workspaces/{workspaceId}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>",
"ticketRef": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>', ticketRef: '<string>'})
};
fetch('https://api.acornops.dev/admin/v1/workspaces/{workspaceId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"email": "jsmith@example.com",
"displayName": "<string>",
"roleTemplate": {
"key": "<string>",
"displayName": "<string>",
"capabilities": [
"<string>"
],
"capabilityGroups": [
{
"capabilities": [
"<string>"
],
"sortOrder": 123
}
],
"protected": true,
"sortOrder": 123,
"description": "<string>"
},
"joinedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I